const { DataTypes } = require('sequelize');
const { sequelize } = require('../config/db');

const PetSpecies = sequelize.define('PetSpecies', {
  id: {
    type: DataTypes.INTEGER,
    autoIncrement: true,
    primaryKey: true,
  },
  groupId: {
    type: DataTypes.INTEGER,
    allowNull: false,
    comment: 'Reference to PetGroup',
  },
  name: {
    type: DataTypes.STRING,
    allowNull: false,
    comment: 'e.g., 강아지, 고양이',
  },
}, {
  timestamps: false,
});

module.exports = PetSpecies;
